Package org.jboss.logmanager.handlers

# Enum AsyncHandler.OverflowAction

java.lang.Object
java.lang.Enum<AsyncHandler.OverflowAction>
org.jboss.logmanager.handlers.AsyncHandler.OverflowAction

All Implemented Interfaces:
  `Serializable`, `Comparable<AsyncHandler.OverflowAction>`, `java.lang.constant.Constable`

Enclosing class:
  `AsyncHandler`

public static enum AsyncHandler.OverflowAction extends Enum<AsyncHandler.OverflowAction>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLOCK`
`DISCARD`

## Method Summary

Modifier and Type
Method
Description
`static AsyncHandler.OverflowAction`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AsyncHandler.OverflowAction[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BLOCK

public static final AsyncHandler.OverflowAction BLOCK

### DISCARD

public static final AsyncHandler.OverflowAction DISCARD

## Method Details

### values

public static AsyncHandler.OverflowAction[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AsyncHandler.OverflowAction valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null